# Used for rpm-packaging of pre-bundled application with already resolved JS dependencies
%define use_vdsm %( test -z // && echo 1 || echo 0)
%global _plugindir %{_datarootdir}/cockpit/
%global source_basename cockpit-ovirt-0.5.1-0.0.master
%global product oVirt

Name:           cockpit-ovirt
Version:        0.5.1
Release:        0.0.master%{?release_suffix}%{?checkout}%{?dist}
Summary:        Dashboard for Cockpit based on %{product}.
License:        ASL 2
URL:            https://gerrit.ovirt.org/cockpit-ovirt
Source0:        %{source_basename}.tar.gz
BuildArch:      noarch

#This is a hack for copr, but why is it needed?
BuildRequires: python

Requires: cockpit
%if 0%{?use_vdsm}
Requires: vdsm >= 4.17.999-610
%else
%endif

%description
This package provides a Cockpit dashboard for use with %{product}.

%prep
%setup -q -n"%{source_basename}"

%build
%configure --with-vdsm

%install
make install DESTDIR=%{buildroot}
%if 0%{?use_vdsm}
chmod a+x %{buildroot}/%{_plugindir}/ovirt-dashboard/vdsm/vdsm/vdsm
%endif

%files
%if 0%{?use_vdsm}
%doc vdsm/README.md 
%endif
%license LICENSE
%{_plugindir}/ovirt-dashboard

%changelog
* Fri Apr 08 2016 Ryan Barry <rbarry@redhat.com> - 0.5
- Add node-dashboard
* Tue Mar 22 2016 Ryan Barry <rbarry@redhat.com> - 0.4
- Add node-dashboard
* Fri Mar 18 2016 Marek Libra <rbarry@redhat.com> - 0.3
- Update packaging to match upstream standards
- Convert to autotools
* Fri Mar 11 2016 Marek Libra <mlibra@redhat.com> - 0.2
* Thu Mar 03 2016 Marek Libra <mlibra@redhat.com> - 0.1
- Initial packaging

